# Database Management

This directory contains scripts for managing the ContactCMD database.

## Database Migration

If you encounter database-related errors when using ContactCMD, particularly with the Mac sync functionality, you may need to run the database migration script to update your database schema.

### Running the Migration Script

To run the database migration script:

```bash
# From the cli directory
python -m db.migrate
```

This script will:
1. Check if your database schema is up to date
2. Add any missing columns (like `sync_notes`, `sync_status`, etc.)
3. Apply other necessary database changes

### Common Issues Fixed by Migration

The migration script fixes these common issues:

1. **Missing `sync_notes` column error**:
   ```
   Error: (sqlite3.OperationalError) no such column: contacts.sync_notes
   ```

2. **Missing `sync_status` column error**:
   ```
   Error: (sqlite3.OperationalError) no such column: contacts.sync_status
   ```

### Automatic Migration

The Mac sync functionality will attempt to run migrations automatically when you sync, but you can also run it manually if needed.

## Database Creation

If you're setting up ContactCMD for the first time, the database will be created automatically when you first run the application. However, you can also create it manually:

```bash
# From the cli directory
python -m db.database
```

This will create the database with all the necessary tables according to the latest schema.