"""
Sync package for contactcmd.

This package handles syncing contacts with external sources:
- macOS Contacts application
- (Future) Cloud backend services
- (Future) CSV/vCard import/export

Basic usage:
    python -m contactcmd sync mac         # Sync with macOS Contacts
    python -m contactcmd sync mac --all   # Sync all macOS Contacts
"""

from .mac import sync_mac_contacts, test_command
from .simple import check_platform

__all__ = ["sync_mac_contacts", "test_command", "check_platform"]